OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TransformFeedback2

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTransformFeedback2 :: MonadIO m => m Bool
- gl_ARB_transform_feedback2 :: Bool
- pattern GL_TRANSFORM_FEEDBACK :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BINDING :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum
- glBindTransformFeedback :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteTransformFeedbacks :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDrawTransformFeedback :: MonadIO m => GLenum -> GLuint -> m ()
- glGenTransformFeedbacks :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsTransformFeedback :: MonadIO m => GLuint -> m GLboolean
- glPauseTransformFeedback :: MonadIO m => m ()
- glResumeTransformFeedback :: MonadIO m => m ()

# Extension Support

glGetARBTransformFeedback2 :: MonadIO m => m Bool Source #

Is the ARB_transform_feedback2 extension supported?

gl_ARB_transform_feedback2 :: Bool Source #

Is the ARB_transform_feedback2 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTransformFeedback2` in those cases instead.

# Enums

pattern GL_TRANSFORM_FEEDBACK :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BINDING :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum Source #

# Functions

glBindTransformFeedback Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BindTransformFeedbackTarget.
-> GLuint | `id`.
-> m () |

Manual page for OpenGL 4.x.

glDeleteTransformFeedbacks Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glDrawTransformFeedback Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `id`.
-> m () |

Manual page for OpenGL 4.x.

glGenTransformFeedbacks Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glIsTransformFeedback Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 4.x.

glPauseTransformFeedback :: MonadIO m => m () Source #

Manual page for OpenGL 4.x.

glResumeTransformFeedback :: MonadIO m => m () Source #

Manual page for OpenGL 4.x.